# Increase View Count for Topic

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

#### Request

```
POST faq/{faqName}/topics/{id}/IsViewed
```

#### Query Parameters

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="100">Required</th><th>Comments</th></tr></thead><tbody><tr><td>faqName</td><td>string</td><td>yes</td><td>The name of the FAQ instance for the request</td></tr><tr><td>id</td><td>integer</td><td>yes</td><td>The id of the topic you wish to add a new vote to</td></tr></tbody></table>

#### Response

The request does not have a body response.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/faq/reference/endpoints/increase-view-count-for-topic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
